#pragma once
#include "util/AgObject.h"
#include "util/Comparable.h"
#include "util/Cloneable.h"

class AgBoolean : public AgObject, public Comparable, public Cloneable
{
public:  
    AgBoolean(bool value);

    bool getValue();

    int compareTo(Comparable *obj);
    virtual std::string getClass();
    virtual int hashCode();
    virtual bool equals(AgObject* obj);
    virtual AgString toString();
    virtual Cloneable *clone();

private:
    bool value;
};

